package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyZjxxmxbVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyZjxxmxbService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyZjxxmxbVO> getTyZjxxmxbList(TyZjxxmxbVO tyZjxxmxbVO);

	/**
	 * 分页展示
	 * @param TyZjxxmxbVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyZjxxmxbVO> getTyZjxxmxbPage(TyZjxxmxbVO tyZjxxmxbVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyZjxxmxbVO
	 * @return
	 */
	int insert(TyZjxxmxbVO tyZjxxmxbVO);

	/**
	 * 更新信息
	 * @param TyZjxxmxbVO
	 * @return
	 */
	int update(TyZjxxmxbVO tyZjxxmxbVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyZjxxmxbVO
	 * @return
	 */
	int delete(String zjxxid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyZjxxmxbVO getZjxxmxbByZjxxmxbid(String zjxxid);

	/**
	 * 用质检信息id获得所有的列表
	 * @param zjxxid
	 * @return
	 */
	List<TyZjxxmxbVO>  getTyZjxxmxbVOList(String zjxxid);

	/**
	 * 批量新增信息
	 * @param TyZjxxmxbVO
	 * @return
	 */
	int batchInserts(List<TyZjxxmxbVO> tyZjxxmxbVO);
}
